﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using System.Reflection;
using System.IO;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.AppStyling;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        private DataTable dt1;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(10);

            dt1.TableName = "Band 0";
            this.ultraTree1.ViewStyle = Infragistics.Win.UltraWinTree.ViewStyle.Standard;
            this.ultraTree1.Override.NodeStyle = Infragistics.Win.UltraWinTree.NodeStyle.CheckBox;
            this.ultraTree1.ColumnSetGenerated += this.UltraTree1_ColumnSetGenerated;
            this.ultraTree1.AfterCheck += this.UltraTree1_AfterCheck;
            this.ultraTree1.DataSource = dt1;


        }

        private void UltraTree1_AfterCheck(object sender, Infragistics.Win.UltraWinTree.NodeEventArgs e)
        {
            var columnSet = e.TreeNode.DisplayColumnSetResolved;
            Debug.WriteLine(string.Format("Node: '{0}-{1}' {2}",
                e.TreeNode.GetCellText(columnSet.Columns["Key"]),
                e.TreeNode.GetCellText(columnSet.Columns["String 1"]),
                e.TreeNode.CheckedState.ToString()
                ));
        }

        private void UltraTree1_ColumnSetGenerated(object sender, Infragistics.Win.UltraWinTree.ColumnSetGeneratedEventArgs e)
        {
            e.ColumnSet.NodeTextColumn = e.ColumnSet.Columns["String 1"];
        }
    }
}

